Change log for anjuta-extras package in Ubuntu

131 of 31 results
Published in disco-release on 2018-12-24
Deleted in disco-proposed (Reason: moved to release)
anjuta-extras (3.26.0-5) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <email address hidden>  Sun, 23 Dec 2018 17:06:55 -0500

Available diffs

Superseded in disco-release on 2018-12-24
Published in cosmic-release on 2018-09-05
Deleted in cosmic-proposed (Reason: moved to release)
anjuta-extras (3.26.0-4) unstable; urgency=medium

  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <email address hidden>  Tue, 04 Sep 2018 10:51:15 -0400

Available diffs

Superseded in cosmic-release on 2018-09-05
Published in bionic-release on 2018-02-05
Deleted in bionic-proposed (Reason: moved to release)
anjuta-extras (3.26.0-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <email address hidden>  Sat, 03 Feb 2018 21:36:44 -0500

Available diffs

Superseded in bionic-release on 2018-02-05
Deleted in bionic-proposed on 2018-02-06 (Reason: moved to release)
anjuta-extras (3.26.0-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <email address hidden>  Sat, 16 Dec 2017 13:12:54 -0500

Available diffs

Superseded in bionic-release on 2017-12-17
Published in artful-release on 2017-09-12
Deleted in artful-proposed (Reason: moved to release)
anjuta-extras (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum anjuta to 3.26.0

 -- Jeremy Bicha <email address hidden>  Mon, 11 Sep 2017 20:46:27 -0400

Available diffs

Superseded in artful-release on 2017-09-12
Deleted in artful-proposed on 2017-09-13 (Reason: moved to release)
anjuta-extras (3.25.91-2) unstable; urgency=medium

  * Bump minimum anjuta to 3.25.91
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <email address hidden>  Thu, 07 Sep 2017 06:20:58 -0400
Superseded in artful-release on 2017-09-07
Deleted in artful-proposed on 2017-09-09 (Reason: moved to release)
anjuta-extras (3.25.91-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Drop 30_fix-syntax-highlighting-for-Gtk-types.patch:
    applied in new release

 -- Jeremy Bicha <email address hidden>  Thu, 24 Aug 2017 15:24:44 -0400
Superseded in artful-release on 2017-08-24
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
anjuta-extras (3.10.0-5) unstable; urgency=medium

  * Use the substvar mechanism to generate the package description. This
    simplifies debian/rules.
  * Convert from cdbs to dh.
  * Use --disable-static instead of building static libraries and removing
    them later on.
  * Use dh_autoreconf --as-needed instead of patching ltmain.sh.
  * Bump debhelper compat level to 10.
  * Drop Build-Depends on gnome-doc-utils. No longer needed.
  * Bump Standards-Version to 3.9.8.
  * Bump dependency on anjuta to (>= 2:3.22.0-1~) to ensure we have a version
    with multiarch support.

 -- Michael Biebl <email address hidden>  Wed, 26 Oct 2016 17:24:10 +0200
Obsolete in yakkety-updates on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to -updates)
anjuta-extras (3.10.0-4build0.1) yakkety; urgency=medium

  * No-change rebuild to install to multi-arched anjuta directory
    (LP: #1636683)

 -- Jeremy Bicha <email address hidden>  Tue, 25 Oct 2016 23:39:57 -0400
Superseded in zesty-release on 2016-10-27
Deleted in zesty-proposed on 2016-11-01 (Reason: moved to release)
anjuta-extras (3.10.0-4build1) zesty; urgency=medium

  * No-change rebuild to install to multi-arched anjuta directory
    (LP: #1626636)

 -- Jeremy Bicha <email address hidden>  Tue, 25 Oct 2016 23:23:03 -0400
Superseded in zesty-release on 2016-10-26
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
anjuta-extras (3.10.0-4) unstable; urgency=medium

  * Drop obsolete Replaces from pre-wheezy.
  * Bump debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.6.
  * Drop version restriction against anjuta (<< 2:3.15). There are currently
    no new upstream releases of anjuta-extras which would accompany new anjuta
    releases, thus making the package uninstallable each new GNOME release
    cycle. The plugins seem to work fine with anjuta 3.16 and we can always
    add a Breaks to anjuta, should the plugins ever be broken by a new anjuta
    release.

 -- Michael Biebl <email address hidden>  Sun, 14 Jun 2015 12:10:59 +0200

Available diffs

Superseded in wily-release on 2015-06-15
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
anjuta-extras (3.10.0-3) unstable; urgency=medium


  * Bump anjuta versioned dependency to << 2:3.15 (Closes: #755575)

 -- Andreas Henriksson <email address hidden>  Thu, 09 Oct 2014 12:26:11 +0200

Available diffs

Superseded in vivid-release on 2014-10-24
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
anjuta-extras (3.10.0-2) unstable; urgency=medium


  [ Jackson Doak ]
  * Force depends on anjuta 3.12 to allow migration. Closes: #755575

  [ Laurent Bigonville ]
  * debian/control.in:
    - Bump Standards-Version to 3.9.5 (no further changes)
    - Also bump build-dependency against libanjuta-dev
    - Use canonical URL for Vcs-Svn field
  * Add d/p/30_fix-syntax-highlighting-for-Gtk-types.patch: Fix
    highlighting for Gtk types, taken from upstream.

 -- Laurent Bigonville <email address hidden>  Tue, 09 Sep 2014 12:57:07 +0200

Available diffs

Superseded in utopic-release on 2014-09-10
Deleted in utopic-proposed on 2014-09-11 (Reason: moved to release)
anjuta-extras (3.10.0-1) unstable; urgency=medium


  * Team upload.

  [ Jackson Doak ]
  * New upstream release
  * Add build-depend on itstool

  [ Andreas Henriksson ]
  * Actually build-depend on yelp-tools (itstool was never added and is wrong)

 -- Andreas Henriksson <email address hidden>  Mon, 14 Jul 2014 08:45:48 +0200
Superseded in utopic-release on 2014-07-15
Published in trusty-release on 2014-01-21
Deleted in trusty-proposed (Reason: moved to release)
anjuta-extras (3.10.0-0ubuntu1) trusty; urgency=medium

  * New upstream release. (LP: #1266037)
  * Add itstool build dependency.
 -- Martin Pitt <email address hidden>   Tue, 21 Jan 2014 07:42:22 +0100
Superseded in trusty-release on 2014-01-21
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
anjuta-extras (3.8.0-1) unstable; urgency=low


  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    + Sort the list of plugins so that we have the same long
      description on every architecture. Closes: #705662.

  [ Michael Biebl ]
  * New upstream release.
  * Bump Build-Depends on libanjuta-dev to (>= 2:3.8.0).
  * Bump Standards-Version to 3.9.4. No further changes.
  * Add Build-Depends on autotools-dev as lintian was complaining about
    outdated config.{guess,sub}.

 -- Michael Biebl <email address hidden>  Thu, 01 Aug 2013 00:50:34 +0200
Superseded in saucy-release on 2013-08-01
Deleted in saucy-proposed on 2013-08-02 (Reason: moved to release)
anjuta-extras (3.8.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control.in:
    - Bump minimum anjuta
 -- Jeremy Bicha <email address hidden>   Tue, 04 Jun 2013 11:20:34 -0400

Available diffs

Superseded in saucy-release on 2013-06-04
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
anjuta-extras (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release
  * debian/control:
    - Bump build-depends on libanjuta-dev
 -- Robert Ancell <email address hidden>   Thu, 27 Sep 2012 16:49:11 +1200

Available diffs

Superseded in quantal-release on 2012-09-27
anjuta-extras (3.5.4-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libanjuta-dev
    - Use standards version 3.9.3
 -- Robert Ancell <email address hidden>   Tue, 17 Jul 2012 10:25:40 +1200
Superseded in quantal-release on 2012-07-16
Published in precise-release on 2012-04-03
anjuta-extras (3.4.0-1) unstable; urgency=low


  * New upstream release.
  * debian/watch: Track .xz tarballs.
  * Set <email address hidden> as Maintainer.
  * Bump Build-Depends on libanjuta-dev to (>= 2:3.4.0).
  * Use gnome:Version and gnome:NextVersion for the dependency on anjuta
    instead of hard-coding the versions.
  * debian/patches/10_scratchbox_path.patch: Updated, the new version uses
    gsettings to set the default build_path. Set the default version to Sbox2.
    Add a patch header explaining why this patch is necessary.
  * Add Build-Depends on gnome-doc-utils.

 -- Michael Biebl <email address hidden>  Fri, 30 Mar 2012 01:42:42 +0200
Superseded in precise-release on 2012-04-03
anjuta-extras (3.3.4-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/control.in:
    + add gnome-doc-utils as build-deps
    + bump depends on anjuta version 3.4
  * Drop patch 10_scratchbox_path.patch, no longer required according
    to last upstream changes.
  * Refresh 99_ltmain_as-needed.patch
 -- Leo Iannacone <email address hidden>   Mon, 23 Jan 2012 14:29:13 +0100

Available diffs

Superseded in precise-release on 2012-01-23
anjuta-extras (3.2.0-2) unstable; urgency=low

  * Remove debian/patches/90_anjuta_required.patch.
  * debian/control:
    - Bump Build-Depends on libanjuta-dev to (>= 2:3.2.0).
    - Drop Build-Depends on dh-autoreconf.
    - Bump minimum required version of anjuta to (>= 2:3.2).
  * debian/rules:
    - Remove autoreconf.mk include.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 09:09:35 +0000

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
anjuta-extras (3.2.0-1) unstable; urgency=low

  * New upstream release.
 -- Jeremy Bicha <email address hidden>   Thu,  29 Sep 2011 05:26:12 +0000

Available diffs

Superseded in oneiric-release on 2011-09-29
anjuta-extras (3.1.92-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control.in:
    - Bump anjuta depends to << 3.3
  * 02_kfreebsd_build_schemas.patch: Removed, merged upstream.
 -- Jeremy Bicha <email address hidden>   Thu,  22 Sep 2011 07:03:46 +0000

Available diffs

Superseded in oneiric-release on 2011-09-22
anjuta-extras (3.1.3-1) unstable; urgency=low

  * debian/watch: Switch to .bz2 tarballs.
  * New upstream release.
  * 01_scratchbox_deprecated_api.patch: Removed, merged upstream.
  * Upload to unstable, remove check-dist.mk include.

Available diffs

Superseded in oneiric-release on 2011-07-22
anjuta-extras (3.1.2-1) experimental; urgency=low

  [ Jordi Mallach ]
  * New upstream release.
  * Update Build-Dependencies as per configure.ac.
  * Add anjuta_required.patch, to allow building with libanjuta 3.0.
  * Updated 10_scratchbox_config.patch.
  * Drop valgrid-related quirks from debian/rules, the plugin is gone.
  * Drop libxml_crash.patch, the plugin is gone.

  [ Michael Biebl ]
  * debian/control.in:
    - Change Build-Depends on libgtk2.0-dev to libgtk-3-dev.
    - Bump Standards-Version to 3.9.2. No further changes.
    - Add Build-Depends on dh-autoreconf.
  * debian/rules:
    - Add autoreconf.mk include.
  * Bump debhelper compatibility level to 8. Update Build-Depends accordingly.

  [ Jordi Mallach ]
  * Add a Homepage field.
  * Add gnome-common and libgdl-3-dev to Build-Depends.
  * Add scratchbox_deprecated_api.patch to avoid crashes due to deprecated
    API used in the Scratchbox plugin.
  * Move the remainings of scratchbox_config.patch to scratchbox_path.patch.
  * Upload to experimental.
 -- Sebastien Bacher <email address hidden>   Mon,  04 Jul 2011 19:40:29 +0000

Available diffs

Superseded in oneiric-release on 2011-07-04
Obsolete in natty-release on 2013-06-04
anjuta-extras (2.32.0.0-3) unstable; urgency=low

  * 01_libxml_crash.patch: stolen upstream. Fix crasher with pulseaudio
    caused by misuse of libxml.
 -- Bhavani Shankar <email address hidden>   Thu, 30 Dec 2010 14:27:27 +0100

Available diffs

Superseded in natty-release on 2011-01-09
anjuta-extras (2.32.0.0-2build1) natty; urgency=low

  * No-change rebuild to get a better binutils depends.
 -- Steve Kowalik <email address hidden>   Fri, 17 Dec 2010 09:15:56 +1100

Available diffs

Superseded in natty-release on 2010-12-16
anjuta-extras (2.32.0.0-2) unstable; urgency=low

  * Upload to unstable.

Available diffs

Superseded in natty-release on 2010-10-29
Obsolete in maverick-release on 2013-03-05
anjuta-extras (2.30.1.0-1ubuntu1) maverick; urgency=low

  * Build-depend on anjuta-dev as an alternative to libanjuta-dev.
 -- Matthias Klose <email address hidden>   Sun, 12 Sep 2010 09:49:22 +0200

Available diffs

Superseded in maverick-release on 2010-09-12
anjuta-extras (2.30.1.0-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/20_pathmax-hurd.patch:
      - Dropped, fixed different upstream.

131 of 31 results